Subject: bug#40774: Error messages shouldn't be hidden when the user is idle

From: Juri Linkov <[email-masked]>
Date: Wed, 08 Dec 2021 21:18:19 +0200

>> I can't find it on Github, and this is understandable - it's a new variable
>> with quite limited usefulness.  I hoped that even if someone used it,
>> mentioning it in the Incompatible Lisp Changes of NEWS would be sufficient
>> as in case of all other incompatible changes.
>
> OK; then I'm OK with changing the semantics in Emacs 29 (and noting this
> in the NEWS in Emacs 28), but perhaps Eli has an opinion here.  Eli?

I even further reduced the incompatibilities by using new logic only on
the value 't' returned by the function, instead of any non-nil value.